player = {}

function player:load()
    self.x = 40
    self.y = 40
    self.w = 12
    self.h = 12
    self.hspd = 0
    self.vspd = 0
    self.movespd = 40
    self.fric = 30
    self.spdmax = 125

end

function player:update(dt)
    if love.keyboard.isDown("left") or love.keyboard.isDown("right") then
        if math.abs(self.hspd) <= (self.spdmax)*dt then
            self.hspd = self.hspd+((self.movespd*dt)*(bool_to_number(love.keyboard.isDown("right"))-bool_to_number(love.keyboard.isDown("left"))))
        else
            self.hspd = ((self.spdmax*dt)*(bool_to_number(love.keyboard.isDown("right"))-bool_to_number(love.keyboard.isDown("left"))))
        end
    else
        self.hspd = lerp(self.hspd,0,self.fric*dt)
    end

    self.x, self.y = world:move(self,self.x+self.hspd,self.y+self.vspd) 
end

function player:draw()
    love.graphics.setColor(1,0,0)
    love.graphics.rectangle("fill",self.x,self.y-self.h,self.w,self.h)
end